## ros-kinetic-gundam-rx78-description 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gundam_rx78_description)

find_package(catkin REQUIRED COMPONENTS roslint)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############
install(DIRECTORY launch meshes scripts urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  set(ROSLINT_PYTHON_OPTS --max-line-length=220 --ignore=E131) # skip continuation line unaligned for hanging indent
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-kinetic-gundam-rx78-description (0.0.3-1xenial) xenial; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 27 Jan 2020 15:00:00 -0000

ros-kinetic-gundam-rx78-description (0.0.2-1xenial) xenial; urgency=high

  * Add more examples by @Naoki-Hiraoka (#6 <https://github.com/gundam-global-challenge/gundam_robot/issues/6>)
    
      * fix some parameters
      * use mesh for collision
      * update mesh collada model with Naoki-Hiraoka:simplify-urdf
      * Simplify URDF (simplify, scale and mergenode collada)
        - calculate mass property from convex_hull
        - fix check_position, now base_link is the center of foot
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jan 2020 15:00:00 -0000

ros-kinetic-gundam-rx78-description (0.0.1-1xenial) xenial; urgency=high

  * Add gundam RX-79 Description (#1 <https://github.com/gundam-global-challenge/gundam_robot/issues/1>)
    
      * respect @Naoki-Hiraoka 's dynamics parameters on urdf (mu2/kp/kd...) https://github.com/Naoki-Hiraoka/gundam_robot/tree/gundam-walk
      * respect @Naoki-Hiraoka 's dynamics parameters  https://github.com/Naoki-Hiraoka/gundam_robot/tree/gundam-walk
      * quick hack for urdfdom_py 0.4.0
        Once https://github.com/ros/urdf_parser_py/pull/47 is merged, we can remove this block
      * pip8ify python files
      * add roslint check
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * add write_mesh option, by default we do not write meshes/ files
      * update gazebo tag generation, fix legacyModeNS warning and use gundam_rx78_control/JointTrajectoryController
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * add joint trajectory controllers settings for control.yaml
      * ggc_dae_to_urdf.py, set ankle back  as a fixed joint, due to mimic joint instability
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * use effort controller as default
      * remove unused section
      * mimic_joint_plugin is no longer used, use updated version of effort controller
      * use default_pid for control.yaml
      * update control.yaml format for updated effort_controller, whcih supports mimic joints
      * update link CoM, center of mass and joint axis need displacement
      * increase wight(density) for crotch_p link
      * add back sole to footprint gazebo tag
      * set cover_pid for crotch covers, fix mimic_multiplier for side cover
      * calc_inertia : set origin of inertial
      * calc_inertia : increase minimum mass to 50
      * calc_inertia : add dnesity options
      * too small weight cause vibration on hand/fingers
      * update pid param of effort controller for each joints
      * small size/mass link make gazebo unstable, so add dummy collision shape
      * add only parent and child links
      * increase default effort/velocity
      * add mesh and urdf generated from GGC_TestModel_rx78_20170112
      * commit 2019/03/06 pinned & position controller version
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Sun, 30 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-gundam-rx78-description
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-roslint
Homepage: http://wiki.ros.org/gundam_rx78_description
Standards-Version: 3.9.2

Package: ros-kinetic-gundam-rx78-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-rviz
Description: gundam_rx78_description contains the ROS URDF file of the GUNDAM RX-78 robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-gundam-rx78-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
